summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author p5ych0 r00752010-08-16 00:13:29 +0200
committer Erik Hanson2010-08-16 03:53:42 +0200
commitd81d89c3790d9130119d28e211c154c1a580f665 (patch)
tree1bb36e4f1504bbe8ed086a09cd24cf4db300f4b2 /audio
parent3f42460add7c329a6bdecbbdbf54e4d3ae8f98c9 (diff)
downloadslackbuilds-d81d89c3790d9130119d28e211c154c1a580f665.tar.gz
audio/discord: Added (generate binaural beat for brain waves)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/discord/README21
-rw-r--r--audio/discord/discord.SlackBuild104
-rw-r--r--audio/discord/discord.info10
-rw-r--r--audio/discord/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/audio/discord/README b/audio/discord/README
new file mode 100644
index 0000000000..2c61670243
--- /dev/null
+++ b/audio/discord/README
@@ -0,0 +1,21 @@
+Discord is a command line program used to generate binaural, phase, and
+chronaural beats mixed with tones, noise, or sound files of the users
+choice. The default is to play the files via the computer's sound card,
+but they can be written to an output file instead. Only file formats
+available in libsndfile can be used as input or output.
+
+WARNING: USE AT YOUR OWN RISK!
+
+If used consistently (a half hour or more per day) over long periods
+of time (months, years), listening to brainwave entrainment beats will
+cause psychological change, and might cause profound psychological
+change. Presumably that is why you are doing this, but now it is explicit.
+
+If you are consciously aware of, or consciously suspect, that you have
+severe psychological traumas that you have repressed, do not use brainwave
+entrainment beats until you have resolved the traumas or are comfortable
+that you can deal with them if they become conscious.
+
+Homepage: http://discord.sourceforge.net/
+
+Requires libsndfile.
diff --git a/audio/discord/discord.SlackBuild b/audio/discord/discord.SlackBuild
new file mode 100644
index 0000000000..55fb18444d
--- /dev/null
+++ b/audio/discord/discord.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for discord
+
+# Written by p5ych0 r0075 <p5ych0.r0075@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=discord
+VERSION=${VERSION:-3.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/discord/discord.info b/audio/discord/discord.info
new file mode 100644
index 0000000000..62ae69d4c0
--- /dev/null
+++ b/audio/discord/discord.info
@@ -0,0 +1,10 @@
+PRGNAM="discord"
+VERSION="3.2.1"
+HOMEPAGE="http://discord.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/discord/discord-3.2.1.tar.bz2"
+MD5SUM="7f7341f01032314f618e9ae5bb6137e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="p5ych0 r0075"
+EMAIL="p5ych0.r0075@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/discord/slack-desc b/audio/discord/slack-desc
new file mode 100644
index 0000000000..1c1f2c36a1
--- /dev/null
+++ b/audio/discord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+discord: discord (generate binaural/chronaural beat for brain waves)
+discord:
+discord: Generate binaural, pulse, and phase beats for brain wave entrainment.
+discord: Mix with internally generated tones and noise or user sound files.
+discord: Play immediately or write to file.
+discord:
+discord: Requires a text script file to specify sound sequences, many samples
+discord: provided.
+discord:
+discord:
+discord: